export namespace DecapCmsWidgetFile {
    export { Widget };
    export { controlComponent };
    export { previewComponent };
    export { withFileControl };
}
export default DecapCmsWidgetFile;
declare function Widget(opts?: {}): {
    name: string;
    controlComponent: {
        new (props: any): {
            controlID: string;
            shouldComponentUpdate(nextProps: any): boolean;
            componentDidUpdate(): void;
            componentWillUnmount(): void;
            handleChange: (e: any) => any;
            handleUrl: (subject: any) => (e: any) => any;
            handleRemove: (e: any) => any;
            onRemoveOne: (index: any) => () => any;
            onReplaceOne: (index: any) => () => any;
            getMediaLibraryFieldOptions: () => any;
            allowsMultiple: () => any;
            onSortEnd: ({ oldIndex, newIndex }: {
                oldIndex: any;
                newIndex: any;
            }) => any;
            getValidateValue: () => any;
            renderFileLink: (value: any) => any;
            renderFileLinks: () => import("react").JSX.Element;
            renderImages: () => import("react").JSX.Element;
            renderSelection: (subject: any) => import("react").JSX.Element;
            renderNoSelection: (subject: any) => import("react").JSX.Element;
            render(): import("react").JSX.Element;
            context: unknown;
            setState<K extends string | number | symbol>(state: any, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<any>;
            state: Readonly<any>;
            refs: {
                [key: string]: import("react").ReactInstance;
            };
            componentDidMount?(): void;
            componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<any>, prevState: Readonly<any>): any;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<any>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<any>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<any>, nextState: Readonly<any>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<any>, nextState: Readonly<any>, nextContext: any): void;
        };
        propTypes: {
            field: import("prop-types").Validator<object>;
            getAsset: import("prop-types").Validator<(...args: any[]) => any>;
            mediaPaths: Validator<any>;
            onAddAsset: import("prop-types").Validator<(...args: any[]) => any>;
            onChange: import("prop-types").Validator<(...args: any[]) => any>;
            onRemoveInsertedMedia: import("prop-types").Validator<(...args: any[]) => any>;
            onOpenMediaLibrary: import("prop-types").Validator<(...args: any[]) => any>;
            onClearMediaControl: import("prop-types").Validator<(...args: any[]) => any>;
            onRemoveMediaControl: import("prop-types").Validator<(...args: any[]) => any>;
            classNameWrapper: import("prop-types").Validator<string>;
            value: import("prop-types").Requireable<{}>;
            t: import("prop-types").Validator<(...args: any[]) => any>;
        };
        defaultProps: {
            value: string;
        };
        contextType?: import("react").Context<any> | undefined;
    };
    previewComponent: typeof previewComponent;
    schema: {
        properties: {
            allow_multiple: {
                type: string;
            };
        };
    };
};
declare const controlComponent: {
    new (props: any): {
        controlID: string;
        shouldComponentUpdate(nextProps: any): boolean;
        componentDidUpdate(): void;
        componentWillUnmount(): void;
        handleChange: (e: any) => any;
        handleUrl: (subject: any) => (e: any) => any;
        handleRemove: (e: any) => any;
        onRemoveOne: (index: any) => () => any;
        onReplaceOne: (index: any) => () => any;
        getMediaLibraryFieldOptions: () => any;
        allowsMultiple: () => any;
        onSortEnd: ({ oldIndex, newIndex }: {
            oldIndex: any;
            newIndex: any;
        }) => any;
        getValidateValue: () => any;
        renderFileLink: (value: any) => any;
        renderFileLinks: () => import("react").JSX.Element;
        renderImages: () => import("react").JSX.Element;
        renderSelection: (subject: any) => import("react").JSX.Element;
        renderNoSelection: (subject: any) => import("react").JSX.Element;
        render(): import("react").JSX.Element;
        context: unknown;
        setState<K extends string | number | symbol>(state: any, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<any>;
        state: Readonly<any>;
        refs: {
            [key: string]: import("react").ReactInstance;
        };
        componentDidMount?(): void;
        componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<any>, prevState: Readonly<any>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<any>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<any>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<any>, nextState: Readonly<any>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<any>, nextState: Readonly<any>, nextContext: any): void;
    };
    propTypes: {
        field: import("prop-types").Validator<object>;
        getAsset: import("prop-types").Validator<(...args: any[]) => any>;
        mediaPaths: Validator<any>;
        onAddAsset: import("prop-types").Validator<(...args: any[]) => any>;
        onChange: import("prop-types").Validator<(...args: any[]) => any>;
        onRemoveInsertedMedia: import("prop-types").Validator<(...args: any[]) => any>;
        onOpenMediaLibrary: import("prop-types").Validator<(...args: any[]) => any>;
        onClearMediaControl: import("prop-types").Validator<(...args: any[]) => any>;
        onRemoveMediaControl: import("prop-types").Validator<(...args: any[]) => any>;
        classNameWrapper: import("prop-types").Validator<string>;
        value: import("prop-types").Requireable<{}>;
        t: import("prop-types").Validator<(...args: any[]) => any>;
    };
    defaultProps: {
        value: string;
    };
    contextType?: import("react").Context<any> | undefined;
};
import previewComponent from './FilePreview';
import withFileControl from './withFileControl';
